Page MenuHome

Blender Player is marked as damage
Closed, ArchivedPublic

Description

System Information
OS X 10.11.6, NVIDIA GeForce GTX 780M 4096 MB

Blender Player
Broken: any build from builder
Worked: any official build

Short description of error
Any Blender Player downloaded from build.blender.org included in zipped file is signed as damaged (or not supported with my OS).

Exact steps for others to reproduce the error
Any official build includes working Blender Player.
Any pack from build.blender.org includes "damaged" one.

It's for ages. So I had to ask one day. Why?

I don't know how differs official build from builder build, so just as a note here, there is a quite big difference in size of apps:

  • official blender.app 350 MB player.app 174 MB
  • builder blender.app 290 MB player.app 53 MB

(I remember blender can't be open for the first time if in Security is not enabled download from "Anywhere", but this is not the case.)

I don't want to bother you, If nobody reported it yet, probably common thing, but I could not find any similar topic.
So it looks weird to me this situation. Thank you for help.

Details

Type
Bug

Event Timeline

Probably would be better remove player from "latest builds" for now, so you can share and store lighter packages :)
(There is not a reason to generate and distribute it in this condition. Right?)

@filip mond (vklidu) (or maybe @Arto Kitula (akitula)), can you check whether this is still the case with current builds? This has been open for a very long time now…

Bastien Montagne (mont29) lowered the priority of this task from Normal to Needs Information from User.Mar 24 2019, 2:29 PM
Simon G. (intrigus) raised the priority of this task from Needs Information from User to Normal.

This is still a problem with the latest build (edcb5415a275)
Compare latest:
$ find . -maxdepth 3
.
./Contents
./Contents/PkgInfo
./Contents/Resources
./Contents/Resources/2.79
./Contents/Resources/blender file icon.icns
./Contents/Resources/blender player icon.icns
./Contents/Resources/lib

vs working version (2.79b):
$ find . -maxdepth 3
.
./Contents
./Contents/_CodeSignature
./Contents/_CodeSignature/CodeResources
./Contents/Info.plist
./Contents/MacOS
./Contents/MacOS/blenderplayer
./Contents/PkgInfo
./Contents/Resources
./Contents/Resources/2.79
./Contents/Resources/blender file icon.icns
./Contents/Resources/blender player icon.icns
./Contents/Resources/lib

To me this looks like a packaging problem.

Brecht Van Lommel (brecht) closed this task as Archived.

Archiving since we no longer support the game engine in 2.8, and won't be fixing issue with it anymore.